# NFC set state

An action block that enables or disables NFC.

The fiber will proceed immediately without pause.

An alternative to this block is to use the Shell command privileged, ADB shell command or Shell command superuser block to execute: `svc nfc <enable|disable>`

Note! This feature isn’t officially supported, requires the privileged service since Android 4.2, may not work on all devices.

## Input arguments

- NFC — whether to enable or disable NFC.